Workflows

Workflows allow you to automate actions based on segments. You can create workflows that trigger daily recurrence reviews or assign users based on segment visibility. On this page, we'll cover how to create and delete workflows via the API.

The workflow model

The workflow model contains information about your automated workflows, including their name, status, and associated nodes (trigger, action, notification).

Properties

  • Name
    uuid
    Type
    string
    Description

    UUID of the workflow.

  • Name
    name
    Type
    string
    Description

    The name of the workflow, auto-generated from the segment name and workflow type.

  • Name
    status
    Type
    string
    Description

    The status of the workflow. Can be draft, active, paused, or ended.

  • Name
    team_id
    Type
    integer
    Description

    The unique identifier of the team that owns the workflow.

  • Name
    is_automatic
    Type
    boolean
    Description

    Whether the workflow was created automatically.

  • Name
    nodes
    Type
    array
    Description

    The list of nodes (trigger, action, notification) attached to the workflow.

  • Name
    created_at
    Type
    timestamp
    Description

    Timestamp of when the workflow was created.

  • Name
    updated_at
    Type
    timestamp
    Description

    Timestamp of when the workflow was last updated.


GET/v3/workflows

List all workflows

This endpoint allows you to retrieve a paginated list of all your workflows. By default, a maximum of ten workflows are shown per page.

Optional attributes

  • Name
    page
    Type
    integer
    Description

    Number of the page to display.

  • Name
    filter
    Type
    integer
    Description

    Narrow your search by using filter from JSON:API norms
    Allowed filters: name, status, team_id

  • Name
    sort
    Type
    integer
    Description

    Sort the elements in a specific order by using JSON:API norms
    Allowed sorts: name, created_at

Request

GET
/v3/workflows
curl -G https://api.bx.feedier.com/v3/workflows \
    -H "Authorization: Bearer {token}"

Response

{
    "data": [
        {
            "uuid": "550e8400-e29b-41d4-a716-446655440000",
            "name": "Recommended - Daily Review",
            "status": "active",
            "team_id": 2,
            "is_automatic": false,
            "created_at": "2026-03-02T10:00:00.000000Z",
            "updated_at": "2026-03-02T10:00:00.000000Z"
        }
    ],
    "links": {
        "first": "https://api.bx.feedier.com/v3/workflows?page=1",
        "last": "https://api.bx.feedier.com/v3/workflows?page=1",
        "prev": null,
        "next": null
    },
    "meta": {
        "current_page": 1,
        "from": 1,
        "last_page": 1,
        "links": [
            {
                "url": null,
                "label": "« Previous",
                "active": false
            },
            {
                "url": "https://api.bx.feedier.com/v3/workflows?page=1",
                "label": "1",
                "active": true
            },
            {
                "url": null,
                "label": "Next »",
                "active": false
            }
        ],
        "path": "https://api.bx.feedier.com/v3/workflows",
        "per_page": 10,
        "to": 1,
        "total": 1
    }
}

POST/v3/workflows

Create a workflow

This endpoint allows you to create a new workflow based on an existing segment. The workflow will be created with a trigger, an action, and a notification node configured automatically based on the segment and workflow type.

Required attributes

  • Name
    segment_id
    Type
    integer
    Description

    The unique identifier of the segment to base the workflow on. Must belong to your organization.

  • Name
    workflow_type
    Type
    string
    Description

    The type of workflow to create. Allowed values: daily_review or assign_user.

Workflow types

  • daily_review: Creates a daily recurrence trigger, a live feed segment review action, and a notification sent to the users linked to the segment.
  • assign_user: Creates a segment-based trigger and an assign user action based on the users linked to the segment.

Request

POST
/v3/workflows
curl -X POST https://api.bx.feedier.com/v3/workflows \
    -H "Authorization: Bearer {token}" \
    -H "Content-Type: application/json" \
    -H "Accept: application/json" \
    -d '{"segment_id": 715, "workflow_type": "daily_review"}'

Response

{
    "uuid": "550e8400-e29b-41d4-a716-446655440000",
    "name": "Recommended- Daily review",
    "status": "active",
    "team_id": 1,
    "is_automatic": false,
    "created_at": "2026-03-24T16:06:19+00:00",
    "updated_at": "2026-03-24T16:06:19+00:00",
    "nodes": [
        {
            "name": "recurrence",
            "type": "trigger",
            "settings": {
                "on": "every_day",
                "ends": "never",
                "time": "09:00",
                "time_cycle": "day",
                "time_cycle_frequency": 1
            },
            "created_at": "2026-03-24T16:06:19+00:00",
            "updated_at": "2026-03-24T16:06:19+00:00"
        },
        {
            "name": "live_feed_segment_review",
            "type": "action",
            "settings": {
                "segment": {
                    "id": 31,
                    "name": "feedback manager assigned last 24H"
                }
            },
            "created_at": "2026-03-24T16:06:19+00:00",
            "updated_at": "2026-03-24T16:06:19+00:00"
        },
        {
            "name": "message",
            "type": "notification",
            "settings": {
                "emails": [
                    "manager@example.com"
                ],
                "team_members": [
                    {
                        "id": 1
                    }
                ]
            },
            "created_at": "2026-03-24T16:06:19+00:00",
            "updated_at": "2026-03-24T16:06:19+00:00"
        }
    ]
}

GET/v3/workflows/:uuid

Retrieve a workflow

This endpoint allows you to retrieve a specific workflow by providing its unique identifier (UUID). The response will automatically include the nodes associated with the workflow.

Request

GET
/v3/workflows/123
curl https://api.bx.feedier.com/v3/workflows/123 \
    -H "Authorization: Bearer {token}"

Response

{
    "uuid": "550e8400-e29b-41d4-a716-446655440000",
    "name": "Recommended - Daily review",
    "status": "active",
    "team_id": 1,
    "is_automatic": false,
    "created_at": "2026-03-04T09:21:32+00:00",
    "updated_at": "2026-03-04T09:21:32+00:00",
    "nodes": [
        {
            "name": "recurrence",
            "type": "trigger",
            "settings": {
                "on": "every_day",
                "ends": "never",
                "time": "09:00",
                "time_cycle": "day",
                "time_cycle_frequency": 1
            },
            "created_at": "2026-03-04T09:21:32+00:00",
            "updated_at": "2026-03-04T09:21:32+00:00"
        },
        {
            "name": "live_feed_segment_review",
            "type": "action",
            "settings": {
                "segment": {
                    "id": 30,
                    "name": "feedback assigned last 24H"
                }
            },
            "created_at": "2026-03-04T09:21:32+00:00",
            "updated_at": "2026-03-04T09:21:32+00:00"
        },
        {
            "name": "message",
            "type": "notification",
            "settings": {
                "emails": [
                    "manager1@example.com",
                    "manager20@example.com"
                ],
                "team_members": [
                    {
                        "id": 1
                    },
                    {
                        "id": 20
                    }
                ]
            },
            "created_at": "2026-03-04T09:21:32+00:00",
            "updated_at": "2026-03-04T09:21:32+00:00"
        }
    ]
}

DELETE/v3/workflows/:uuid

Delete a workflow

This endpoint allows you to delete a workflow by its UUID. Deleting a workflow also removes all associated nodes and executions.

Request

DELETE
/v3/workflows/6300ec7b-2f2f-4fd9-9906-383ad90b5cfb
curl -X DELETE https://api.bx.feedier.com/v3/workflows/6300ec7b-2f2f-4fd9-9906-383ad90b5cfb \
    -H "Authorization: Bearer {token}"

Was this page helpful?